Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416523 - Review Request: pantheon-photos - Pantheon photo manager and viewer
Summary: Review Request: pantheon-photos - Pantheon photo manager and viewer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PantheonDesktopPackageReviews
TreeView+ depends on / blocked
 
Reported: 2017-01-25 17:15 UTC by Fabio Valentini
Modified: 2017-11-11 17:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-08 01:50:55 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Comment 1 Neal Gompa 2017-01-25 17:33:38 UTC
Taking this review.

Comment 3 Neal Gompa 2017-01-25 20:14:46 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "LGPL (v2.1 or later)", "GPL (v3 or later)",
     "Unknown or generated". 335 files have unknown license. Detailed
     output of licensecheck in /home/makerpm/1416523-pantheon-
     photos/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/szl/LC_MESSAGES,
     /usr/share/locale/ckb, /usr/share/locale/rue/LC_MESSAGES,
     /usr/share/locale/ckb/LC_MESSAGES, /usr/share/locale/rue,
     /usr/share/locale/szl
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/locale/rue/LC_MESSAGES, /usr/share/locale/szl/LC_MESSAGES,
     /usr/share/locale/ckb/LC_MESSAGES, /usr/share/locale/ckb,
     /usr/share/locale/rue, /usr/share/locale/szl
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in pantheon-photos
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     pantheon-photos-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 5130240 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pantheon-photos-0.2.1.1-2.fc26.x86_64.rpm
          pantheon-photos-debuginfo-0.2.1.1-2.fc26.x86_64.rpm
          pantheon-photos-0.2.1.1-2.fc26.src.rpm
pantheon-photos.x86_64: W: invalid-license LGPLv2.1+
pantheon-photos.x86_64: E: arch-dependent-file-in-usr-share /usr/share/pantheon-photos/video-thumbnailer
pantheon-photos.x86_64: W: spurious-executable-perm /usr/share/doc/pantheon-photos/README
pantheon-photos.x86_64: W: no-manual-page-for-binary pantheon-photos
pantheon-photos.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/pantheon-photos.mo
pantheon-photos.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/pantheon-photos.mo
pantheon-photos-debuginfo.x86_64: W: invalid-license LGPLv2.1+
pantheon-photos-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/pantheon-photos-0.2.1.1/src/Resources.vala
pantheon-photos.src: W: invalid-license LGPLv2.1+
3 packages and 0 specfiles checked; 4 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: pantheon-photos-debuginfo-0.2.1.1-2.fc26.x86_64.rpm
pantheon-photos-debuginfo.x86_64: W: invalid-license LGPLv2.1+
pantheon-photos-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/pantheon-photos-0.2.1.1/src/Resources.vala
1 packages and 0 specfiles checked; 1 errors, 1 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
pantheon-photos-debuginfo.x86_64: W: invalid-license LGPLv2.1+
pantheon-photos-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/pantheon-photos-0.2.1.1/src/Resources.vala
pantheon-photos.x86_64: W: invalid-license LGPLv2.1+
pantheon-photos.x86_64: E: arch-dependent-file-in-usr-share /usr/share/pantheon-photos/video-thumbnailer
pantheon-photos.x86_64: W: spurious-executable-perm /usr/share/doc/pantheon-photos/README
pantheon-photos.x86_64: W: no-manual-page-for-binary pantheon-photos
pantheon-photos.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/pantheon-photos.mo
pantheon-photos.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/pantheon-photos.mo
2 packages and 0 specfiles checked; 4 errors, 4 warnings.



Requires
--------
pantheon-photos-debuginfo (rpmlib, GLIBC filtered):

pantheon-photos (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libdbusmenu-glib.so.4()(64bit)
    libdee-1.0.so.4()(64bit)
    libexif.so.12()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee-0.8.so.2()(64bit)
    libgeocode-glib.so.0()(64bit)
    libgexiv2.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgphoto2.so.6()(64bit)
    libgphoto2_port.so.12()(64bit)
    libgphoto2_port.so.12(LIBGPHOTO2_5_0)(64bit)
    libgranite.so.3()(64bit)
    libgstbase-1.0.so.0()(64bit)
    libgstpbutils-1.0.so.0()(64bit)
    libgstreamer-1.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libgudev-1.0.so.0()(64bit)
    libjavascriptcoregtk-4.0.so.18()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libraw.so.16()(64bit)
    librest-0.7.so.0()(64bit)
    libsoup-2.4.so.1()(64bit)
    libsqlite3.so.0()(64bit)
    libunity.so.9()(64bit)
    libwebkit2gtk-4.0.so.37()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    libxml2.so.2(LIBXML2_2.7.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
pantheon-photos-debuginfo:
    pantheon-photos-debuginfo
    pantheon-photos-debuginfo(x86-64)

pantheon-photos:
    appdata()
    appdata(org.pantheon.photos.appdata.xml)
    application()
    application(org.pantheon.photos-viewer.desktop)
    application(org.pantheon.photos.desktop)
    mimehandler(image/gif)
    mimehandler(image/jpeg)
    mimehandler(image/jpg)
    mimehandler(image/pjpeg)
    mimehandler(image/png)
    mimehandler(image/tiff)
    mimehandler(image/x-3fr)
    mimehandler(image/x-adobe-dng)
    mimehandler(image/x-arw)
    mimehandler(image/x-bay)
    mimehandler(image/x-bmp)
    mimehandler(image/x-canon-cr2)
    mimehandler(image/x-canon-crw)
    mimehandler(image/x-cap)
    mimehandler(image/x-cr2)
    mimehandler(image/x-crw)
    mimehandler(image/x-dcr)
    mimehandler(image/x-dcraw)
    mimehandler(image/x-dcs)
    mimehandler(image/x-dng)
    mimehandler(image/x-drf)
    mimehandler(image/x-eip)
    mimehandler(image/x-erf)
    mimehandler(image/x-fff)
    mimehandler(image/x-fuji-raf)
    mimehandler(image/x-iiq)
    mimehandler(image/x-k25)
    mimehandler(image/x-kdc)
    mimehandler(image/x-mef)
    mimehandler(image/x-minolta-mrw)
    mimehandler(image/x-mos)
    mimehandler(image/x-mrw)
    mimehandler(image/x-nef)
    mimehandler(image/x-nikon-nef)
    mimehandler(image/x-nrw)
    mimehandler(image/x-olympus-orf)
    mimehandler(image/x-orf)
    mimehandler(image/x-panasonic-raw)
    mimehandler(image/x-pef)
    mimehandler(image/x-pentax-pef)
    mimehandler(image/x-png)
    mimehandler(image/x-ptx)
    mimehandler(image/x-pxn)
    mimehandler(image/x-r3d)
    mimehandler(image/x-raf)
    mimehandler(image/x-raw)
    mimehandler(image/x-rw2)
    mimehandler(image/x-rwl)
    mimehandler(image/x-rwz)
    mimehandler(image/x-sigma-x3f)
    mimehandler(image/x-sony-arw)
    mimehandler(image/x-sony-sr2)
    mimehandler(image/x-sony-srf)
    mimehandler(image/x-sr2)
    mimehandler(image/x-srf)
    mimehandler(image/x-x3f)
    mimehandler(x-content/image-dcf)
    pantheon-photos
    pantheon-photos(x86-64)



Unversioned so-files
--------------------
pantheon-photos: /usr/lib64/pantheon-photos/plugins/builtin/libpantheon-photos-publishing-extra.so
pantheon-photos: /usr/lib64/pantheon-photos/plugins/builtin/libpantheon-photos-publishing.so
pantheon-photos: /usr/lib64/pantheon-photos/plugins/builtin/libpantheon-photos-transitions.so

Source checksums
----------------
https://launchpad.net/pantheon-photos/0.2.x/0.2.1.1/+download/pantheon-photos-0.2.1.1.tar.xz :
  CHECKSUM(SHA256) this package     : 86f13a01efc46b49deb3c1bc0285bedf1c9676a958006f660f07cae12035e5fd
  CHECKSUM(SHA256) upstream package : 86f13a01efc46b49deb3c1bc0285bedf1c9676a958006f660f07cae12035e5fd


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1416523 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Neal Gompa 2017-01-25 20:14:59 UTC
APPROVED.

Comment 5 Gwyn Ciesla 2017-01-25 22:32:44 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/pantheon-photos

Comment 6 Fedora Update System 2017-01-26 13:08:43 UTC
pantheon-photos-0.2.1.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4662e6b9d9

Comment 7 Neal Gompa 2017-01-26 13:15:09 UTC
> pantheon-photos.x86_64: E: arch-dependent-file-in-usr-share /usr/share/pantheon-photos/video-thumbnailer

Wow, I made a horrible mistake here. I completely missed this message. This needs to be fixed ASAP.

Comment 8 Fabio Valentini 2017-01-26 13:57:58 UTC
I'm on it. Also, I reported this bug upstream at https://bugs.launchpad.net/pantheon-photos/+bug/1659549

Comment 9 Fedora Update System 2017-01-26 23:22:07 UTC
pantheon-photos-0.2.1.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-98cbe948ac

Comment 10 Fedora Update System 2017-01-28 04:55:24 UTC
pantheon-photos-0.2.1.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-98cbe948ac

Comment 11 Fedora Update System 2017-01-29 18:57:27 UTC
pantheon-photos-0.2.1.1-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6c587ff0ca

Comment 12 Fedora Update System 2017-01-31 03:51:12 UTC
pantheon-photos-0.2.1.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6c587ff0ca

Comment 13 Fedora Update System 2017-02-08 01:50:55 UTC
pantheon-photos-0.2.1.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.